import 'package:flutter/material.dart';
import 'package:nb_utils/nb_utils.dart';

class AppButton extends StatelessWidget {
  final Function onTap;
  final String text;
  final double width;
  final Color color;
  final EdgeInsetsGeometry padding;
  final TextStyle textStyle;

  AppButton(
      {@required this.onTap,
      this.text,
      this.width,
      this.color,
      this.padding,
      this.textStyle});

  @override
  Widget build(BuildContext context) {
    return MaterialButton(
      minWidth: width,
      padding: padding ?? EdgeInsets.only(top: 12, bottom: 12),
      onPressed: onTap,
      color: color ?? Theme.of(context).primaryColor,
      child: Text(text.validate(),
          style: textStyle ?? boldTextStyle(color: Colors.white)),
      shape: RoundedRectangleBorder(borderRadius: radius(defaultRadius)),
    );
  }
}
